For the complete documentation index, see llms.txt. This page is also available as Markdown.

Entry

Add

post

Add URL Redirection Entry.

Query parameters
siteIdinteger · int32Optional

The Site ID for which to modify the URL Redirection Settings. (optional)

Body

Add a URL redirection to the URL redirection list

enabledbooleanOptional

Whether the URL redirection will be enabled or disabled.

urlstring · nullableRequired

The URL to redirect or not.

actionstring · enumOptional

Redirect action type options

Possible values:
Responses
204

No Content

No content

post/api/URLRedirectionSettings/Entry
POST /api/URLRedirectionSettings/Entry HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 75

{
  "enabled": true,
  "url": "text",
  "action": [
    "0 = DoNotRedirect",
    "1 = Redirect"
  ]
}

No content

Get

get

Retrieve URL Redirection Entry.

Path parameters
idinteger · int32Required

The Id for which to retrieve the URL Redirection Entry

Query parameters
siteIdinteger · int32Optional

The Site ID for which to modify the URL Redirection Settings. (optional)

Responses
200

Success

application/json; api-version=1.0

URLRedirectEntry

idinteger · int32Optional

ID of the object.

priorityinteger · int32Optional

Priority of the object.

enabledbooleanOptional

Whether the url entry rule is enabled or not.

urlstring · nullableOptional

The URL pattern.

actionstring · enumOptional

Redirect action type options

Possible values:
get/api/URLRedirectionSettings/Entry/{id}
GET /api/URLRedirectionSettings/Entry/{id} HTTP/1.1
Accept: */*
{
  "id": 1,
  "priority": 1,
  "enabled": true,
  "url": "text",
  "action": [
    "0 = DoNotRedirect",
    "1 = Redirect"
  ]
}

Update

put

Update URL Redirection Entry.

Path parameters
idinteger · int32Required

The ID for which to modify the URL Redirection Entry.

Query parameters
siteIdinteger · int32Optional

The Site ID for which to modify the URL Redirection Settings. (optional)

Body

Add a URL redirection to the URL redirection list

enabledboolean · nullableOptional

Whether the URL redirection will be enabled or disabled.

urlstring · nullableOptional

The URL to redirect or not.

actionstring · enumOptional

Redirect action type options

Possible values:
prioritystring · enumOptional

Move Direction.

Possible values:
Responses
204

No Content

No content

put/api/URLRedirectionSettings/Entry/{id}
PUT /api/URLRedirectionSettings/Entry/{id} HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 108

{
  "enabled": true,
  "url": "text",
  "action": [
    "0 = DoNotRedirect",
    "1 = Redirect"
  ],
  "priority": [
    "0 = Up",
    "1 = Down"
  ]
}

No content

Delete

delete

Remove URL Redirection Entry.

Path parameters
idinteger · int32Required

The ID for which to Remove the URL Redirection Entry.

Query parameters
siteIdinteger · int32Optional

The Site ID for which to modify the URL Redirection Settings. (optional)

Responses
204

No Content

No content

delete/api/URLRedirectionSettings/Entry/{id}
DELETE /api/URLRedirectionSettings/Entry/{id} HTTP/1.1
Accept: */*

No content

Last updated